export default {
  'select-loadmore': {
    bind(el, binding) {
      // binding.arg 自定义数据
      // 获取element-ui定义好的scroll盒⼦
      const SELECTWRAP_DOM = el.querySelector(binding.arg.class)
      // ".el-table__body-wrapper"
      // '.el-select-dropdown .el-select-dropdown__wrap'

      SELECTWRAP_DOM.addEventListener('scroll', function () {
        /**
         * scrollHeight 获取元素内容⾼度(只读)
         * scrollTop 获取或者设置元素的偏移值,常⽤于, 计算滚动条的位置, 当⼀个元素的容器没有产⽣垂直⽅向的滚动条, 那它的scrollTop的值默认为0.
         * clientHeight 读取元素的可见⾼度(只读)
         * 如果元素滚动到底, 下⾯等式返回true, 没有则返回false:
         * ele.scrollHeight - ele.scrollTop === ele.clientHeight;
         */
        const condition = this.scrollHeight - this.scrollTop <= this.clientHeight
        if (condition) {
          binding.value()
        }
      })
    }
  }
}
